View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001106aMuleSearchpublic2007-05-23 20:112008-01-11 18:47
Reportertuliouel 
Assigned ToXaignar 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1.3 
Target VersionFixed in VersionSVN 
Summary0001106: aMule crashes and closes up when closing last or only searching tab
Description(almost) EVERYTIME I'm searching files, aMule crashes and leave me alone when I close the only or the last searching tab. If I leave it oppened nothing happends. But when I close it up, the whole amule process comes down suddently without asking me to close up, even when configures to ask before close.
Additional Information1) I'm not sure, but I guess the closing of a tab makes aMule crash only when there are HUGE files in the result of the search tab. For example, when searching famous and old bands discographies. I just didn't test for small files.
2) It doesn't matter if I chose to download any or none of the files shown in the result. It crashes when closing the tab.
3) It only crashes when the last tab is closed. It never happened then closing 9 of 10 tabs.
4) I generated 3 bug crashes with gdb. In the first, amule was alreaddy oppened and gdb was attached to it. In the seccond, gdb was oppened and, as you can see, aMule was initiated with special parametters that I thought it whould produce better logs, but it didn't. In the last one, gdb was initiated first, and aMule initiated from gdb with out any parametters.
Ill try to attach all the 3 logs.
5) Since I'm a beginner, I'm sending the report also to launchpad, since I noticed some bug reports involving aMule over there too, and since my distribution (kubuntu) is mainly developed over there.
TagsNo tags attached.
Fixed in Revision
Operating SystemKubuntu ; KDE 3.5.6 ; kernel 2.6.20-15-386
Attached Filestxt file icon gdb-amule.txt [^] (13,199 bytes) 2007-05-23 20:11 [Show Content]
txt file icon gdb-amule2.txt [^] (10,522 bytes) 2007-05-23 20:12 [Show Content]
txt file icon gdb-amule3.txt [^] (7,240 bytes) 2007-05-23 20:13 [Show Content]

- Relationships

-  Notes
(0002295)
tuliouel (reporter)
2007-05-23 20:16

Ok... now I can see all the three crash files generated. Below are the three generation dates so you can check this crash is really reproducible. By the way, I've been noticing this crash since earlier versions.
08-05-2007 14:36
08-05-2007 14:44
08-05-2007 14:52
(0002296)
tuliouel (reporter)
2007-05-23 20:40

Ops... there are several other complaints like mine over the launchpad.net
Here are the url's, in case it helps:
https://bugs.launchpad.net/bugs/67364 [^]
https://bugs.launchpad.net/bugs/70560 [^]
https://bugs.launchpad.net/bugs/68393 [^]
https://bugs.launchpad.net/bugs/62795 [^]
https://bugs.launchpad.net/bugs/72115 [^]
https://bugs.launchpad.net/bugs/59138 [^]
https://bugs.launchpad.net/bugs/68039 [^]
https://bugs.launchpad.net/bugs/69729 [^]
https://bugs.launchpad.net/bugs/67687 [^]
https://bugs.launchpad.net/bugs/68656 [^]
It'll be helpfull if someone realizes that I posted a repeated crash notice and tells me, or, just in case I'm refering to the wrong site to report the crash, just tell me. Thanks
(0002298)
Wuischke (manager)
2007-05-24 18:26

Could you please install (compile) aMule with debug support and create backtraces with these binaries?
The ones you provided are unfortunately worthless.

The provided links point to a wxwidgets bug, which seems unrelated to this crash as it is caused by a combination of wxwidgets 2.6 and GTK+2.10
(0002343)
GerardoMdP (reporter)
2007-07-04 21:50

I have the same problem, I'm running Amule v.2.1.3 on a Debian system, If I close the last (or only one) search tab the program closes without previous alert or confirmation popup window.
(0002344)
Wuischke (manager)
2007-07-05 07:29

If you use wxGTK 2.6, then it's a wxwidgets bug and there's a lot to read about it in the bug tracker / forums.
Solution: use wxgtk 2.8
(0002346)
mlind (reporter)
2007-07-08 13:37
edited on: 2007-07-08 13:38

@ GerardoMdP
if Debian still builds against wxwidgets2.6, open a bug in DBTS and attach the following patch http://cvs.wxwidgets.org/viewcvs.cgi/wxWidgets/src/gtk/notebook.cpp.diff?only_with_tag=WX_2_6_BRANCH&r1=1.120.2.2&r2=1.120.2.3&diff_format=u [^]

This fixes the crashing in wxw2.6 and amule.

edited on: 07-08-07 13:38
(0002354)
arnoschaefer (reporter)
2007-07-13 01:50

People keep recommending wxGTK 2.8.*. However amule 2.1.3 does not compile with wxGTK 2.8.*:

MuleGifCtrl.cpp:132: error: class wxGIFDecoder has no member named GetLogicalScreenWidth

the GetLogicalScreenWidth method was apparently eliminated from wxGTK in version 2.8, but aMule still uses it. Is there a version adapted to wxGTK 2.8?
(0002355)
arnoschaefer (reporter)
2007-07-13 01:50

People keep recommending wxGTK 2.8.*. However amule 2.1.3 does not compile with wxGTK 2.8.*:

MuleGifCtrl.cpp:132: error: class wxGIFDecoder has no member named GetLogicalScreenWidth

the GetLogicalScreenWidth method was apparently eliminated from wxGTK in version 2.8, but aMule still uses it. Is there a version adapted to wxGTK 2.8?
(0002503)
Xaignar (manager)
2008-01-11 18:47

This is, as has been noted, a wxWidgets bug, and one that has been fixed at that. So I'm marking this as resolved, as even if you can't use wx2.8, there's the patch that Wuischke linked to for wx2.6.

Cheers.

- Issue History
Date Modified Username Field Change
2007-05-23 20:11 tuliouel New Issue
2007-05-23 20:11 tuliouel File Added: gdb-amule.txt
2007-05-23 20:11 tuliouel Operating System => Kubuntu ; KDE 3.5.6 ; kernel 2.6.20-15-386
2007-05-23 20:12 tuliouel File Added: gdb-amule2.txt
2007-05-23 20:13 tuliouel File Added: gdb-amule3.txt
2007-05-23 20:16 tuliouel Note Added: 0002295
2007-05-23 20:40 tuliouel Note Added: 0002296
2007-05-24 18:26 Wuischke Note Added: 0002298
2007-05-24 18:26 Wuischke Status new => feedback
2007-07-04 21:50 GerardoMdP Note Added: 0002343
2007-07-05 07:29 Wuischke Note Added: 0002344
2007-07-08 13:37 mlind Note Added: 0002346
2007-07-08 13:38 mlind Note Edited: 0002346
2007-07-13 01:50 arnoschaefer Note Added: 0002354
2007-07-13 01:50 arnoschaefer Note Added: 0002355
2008-01-11 18:47 Xaignar Status feedback => resolved
2008-01-11 18:47 Xaignar Fixed in Version => SVN
2008-01-11 18:47 Xaignar Resolution open => fixed
2008-01-11 18:47 Xaignar Assigned To => Xaignar
2008-01-11 18:47 Xaignar Note Added: 0002503


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker